Below are two tables showing the two problem classes that prevent installation of foreign architecture binaries

We try to install all binary packages from a dummy architecture generated from amd64 (called armhf here) on amd64.

A machine parsable version can be retrieved in dose yaml format

Hover over a package name with your cursor for architecture and version information. Hovering over the arrows in the depchain columns will show the dependency that led from one package in the chain to the next.

src:getfem

Top 10 summary

The following is a summary of the full "missing" and "conflict" tables below. It only shows the first and last columns of the full tables and only displays the top 10 rows.

Missing

# of packages per missingUnsatisfied dependency
63python3-beniget:armhf (>= 0.4.0~)
63python3-gast:armhf (>= 0.5.0~)

Conflict

# of packages per conflictConflict
3libmunge2:amd64
3libpsm-infinipath1:amd64
3libpsm2-2:amd64

missing

The packages in the third column cannot satisfy their (possibly transitive) dependencies because of the unsatisfied dependency in the last column. This is mostly because the binary package providing the dependency in the last column is Multi-Arch:no. Some of these packages need to be Multi-Arch:foreign instead. In some other cases, Build-Depends can be annotated with :native. The depchains column shows the dependency chain(s) from the packages in the third column to the unsatisfied dependency in the last column. The "(*)" placeholder in the depchains column represents any package in the third column. Hovering over the arrows in the depchains column with your cursor will show the dependency that led from one package in the chain to the next.

The output is first grouped by the shared unsatisfied dependency (last column) and then by shared dependency chain (fourth column). The groups are sorted by the number of packages missing the dependency in the last column. Within each group, the output is sorted by the number of packages sharing the same dependency chain.

# of packages per missing# of packages per depchainpackages with missing (possibly transitive) dependenciesDepchainsUnsatisfied dependency
63 63cnvkit dioptas gpaw opendrop pycorrfit pyscanfcs python3-amp python3-arpys python3-astlib python3-bdsf python3-biom-format python3-bioxtasraw python3-bmtk python3-cctbx python3-dolfinx-complex python3-dolfinx-real python3-freesas python3-geotiepoints python3-getfem python3-graph-tool python3-guiqwt python3-healpy python3-hyperspy python3-imexam python3-kineticstools python3-loompy python3-ltfatpy python3-mdtraj python3-numba python3-opentsne python3-phonopy python3-pomegranate python3-pot python3-prody python3-psd-tools python3-pyani python3-pyfai python3-pygac python3-pynndescent python3-pysolid python3-pyxrd python3-qiskit-aer (RFH: #1008626) python3-questplus python3-reproject python3-sasview python3-sfepy python3-silx python3-sncosmo python3-specutils python3-synphot python3-theano python3-xgboost python3-xraylarch python3-xrayutilities python3-xrstools q2-metadata rocketcea srst2 tnseq-transit tombo uc-echo umis yanosim(*)python3-scipypython3-pythran python3-beniget:armhf (>= 0.4.0~)
63 63cnvkit dioptas gpaw opendrop pycorrfit pyscanfcs python3-amp python3-arpys python3-astlib python3-bdsf python3-biom-format python3-bioxtasraw python3-bmtk python3-cctbx python3-dolfinx-complex python3-dolfinx-real python3-freesas python3-geotiepoints python3-getfem python3-graph-tool python3-guiqwt python3-healpy python3-hyperspy python3-imexam python3-kineticstools python3-loompy python3-ltfatpy python3-mdtraj python3-numba python3-opentsne python3-phonopy python3-pomegranate python3-pot python3-prody python3-psd-tools python3-pyani python3-pyfai python3-pygac python3-pynndescent python3-pysolid python3-pyxrd python3-qiskit-aer (RFH: #1008626) python3-questplus python3-reproject python3-sasview python3-sfepy python3-silx python3-sncosmo python3-specutils python3-synphot python3-theano python3-xgboost python3-xraylarch python3-xrayutilities python3-xrstools q2-metadata rocketcea srst2 tnseq-transit tombo uc-echo umis yanosim(*)python3-scipypython3-pythran python3-gast:armhf (>= 0.5.0~)

conflict

The packages in the third column cannot satisfy their (possibly transitive) dependencies because the last package(s) in the first depchain have an unsatisfied conflict which is shown in the last column. The second depchain column shows the dependency chain(s) to the package which the last package(s) in the first depchain conflict with. Sometimes, multiple dependency chains sharing the same conflict exist. Hovering over the arrows in the depchains column with your cursor will show the dependency that led from one package in the chain to the next.

The output is first grouped by the shared conflicting dependency (last column) and then by the shared dependency chains (fourth and fifth column). The groups are sorted by the number of packages sharing the conflict in the last column. Within each group, the output is sorted by the number of packages sharing the same dependency chains.

# of packages per conflict# of packages per depchainpackages with (possibly transitive) conflicting dependenciesDepchain 1Depchain2Conflict
3 2libgmm-dev libmumps-scotch-dev(*)libmumps-devmpi-default-devlibopenmpi-devopenmpi-binlibopenmpi3libpmix2libmunge2(*)libmumps-devlibmumps-5.5libopenmpi3libpmix2libmunge2 libmunge2:amd64
1libgetfem-dev(*)libgmm-devlibmumps-devmpi-default-devlibopenmpi-devopenmpi-binlibopenmpi3libpmix2libmunge2(*)libgmm-devlibmumps-devlibmumps-5.5libopenmpi3libpmix2libmunge2
3 2libgmm-dev libmumps-scotch-dev(*)libmumps-devmpi-default-devlibopenmpi-devopenmpi-binlibopenmpi3libpsm-infinipath1(*)libmumps-devlibmumps-5.5libopenmpi3libpsm-infinipath1 libpsm-infinipath1:amd64
1libgetfem-dev(*)libgmm-devlibmumps-devmpi-default-devlibopenmpi-devopenmpi-binlibopenmpi3libpsm-infinipath1(*)libgmm-devlibmumps-devlibmumps-5.5libopenmpi3libpsm-infinipath1
3 2libgmm-dev libmumps-scotch-dev(*)libmumps-devmpi-default-devlibopenmpi-devopenmpi-binlibopenmpi3libpsm2-2(*)libmumps-devlibmumps-5.5libopenmpi3libpsm2-2 libpsm2-2:amd64
1libgetfem-dev(*)libgmm-devlibmumps-devmpi-default-devlibopenmpi-devopenmpi-binlibopenmpi3libpsm2-2(*)libgmm-devlibmumps-devlibmumps-5.5libopenmpi3libpsm2-2

generated: 20221031T000000Z


The JSON data used to generate these pages was computed using botch, the bootstrap/build ordering tool chain. The source code of botch can be redistributed under the terms of the LGPL3+ with an OCaml linking exception. The source code can be retrieved from https://salsa.debian.org/debian-bootstrap-team/botch

The html pages were generated by code which can be retrieved from https://salsa.debian.org/debian-bootstrap-team/boott and which can be redistributed under the terms of the AGPL3+

For questions and bugreports please contact j [dot] schauer [at] email [dot] de.